I actually had this question a couple of weeks ago when I was using an RC of VS 2003 to build an application for my wife who only has V1.0 of the Framework on her machine.  She doesn't run beta software ;-).  So when I saw it come across the internal aliases I thought others might have the same question...

Q: Can VS 2003 IDE build apps to be deployed .NET framework 1.0 instead of 1.1.

A: This article explains how to deal with fx 1.0 / 1.1 and VS.2003 check it out it might help.   See the section on "Moving to 1.1"